
:root{
    --color-elements:#bd3a3a;
}


main, .background {
    /* height: 120vh; */
    overflow-y: hidden;
    height: 100%!important;
    padding-bottom: 20px;
}

.main{
    border: 2px solid #fccbe100;
    background: rgba(255, 242, 253, 0.217);
}

.esconder{
    font-size: 1px !important;
    color: transparent !important;
    text-shadow: none !important;
}

@font-face {
    font-family: 'Bluey';
    src: url(../../../media/fonts/lovely_bubbles/LovelyBubbles.otf);
}

.sello{
    top: 350px !important;
}

/* CAMBIAR EL BACKGROUND */
.background{
    background: url(../../../media/backgrounds/bobElTren/B1.jpg);
    background-size: cover;
    background-position: center;
    animation: moveBackgorund 20s infinite;
}

@keyframes moveBackgorund {
    0%{
        background-position:-0px 0px;
    }
    50%{
        background-position:-250px 0px;
    }
    100%{
        background-position:-0px 0px;
    }
}

:root{
    --shadow: 0px 2px 2px #1b7fb1, 0px -2px 2px #0a4785, 2px 0px 2px #0d4d8d, -2px -0px 2px #198ec8;
    --shadow2: 0px 2px 2px #ffffff, 0px -2px 2px #ffffff, 2px 0px 2px #ffffff, -2px -0px 2px #ffffff;
}

.descripcion{
    width: 90%;
    padding: 0px;
    margin-bottom: -10px;
    font-size: 14px;
}

.titulo{
    margin-top: -20px;
}

/* NOMBRE */
.titulo h1{
    font-size: 40px;
    color: #bd3a3a;
    text-shadow: var(--shadow2);
    text-align: center;
    font-family: 'Bluey';
    line-height: 1.2;
}

/* CUMPLE */
.titulo h2{
    color: #434A6C;
    font-size: 22px;
    font-family: 'Bluey';
    text-shadow: var(--shadow2);
}
/* IMAGEN NUMERO */
.titulo img{
    width: 140px;
    margin-top: 5px;
    margin-bottom: -15px;
}

/* FECHA */
.fecha span{
    color: #434A6C;
    text-shadow: var(--shadow2);
    font-family: 'Bluey';
}

.countdown-container{
    border: 4px solid var(--color-elements);
    background: rgba(255, 255, 255, 0.664); /* Fondo translúcido */
    border-radius: 10px; /* Borde redondeado */
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37); /* Sombra suave */
    -webkit-backdrop-filter: blur(50px); /* Fondo desenfocado */
    color: var(--color-elements);
}

.faltan div{
    background-color: var(--color-elements);
    color: white;
    transform: translateY(15px);
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 10px;
}

/* VESTIMENTA */
.vestimenta img{
    width: 80px;
}


.vestimenta span{
    color: #434A6C;
    text-shadow: var(--shadow2);
    font-family: 'Bluey';
    font-size: 21px;
}

.deslizar span{
    font-size: 15px !important;
}

/* Salón Belanova */
.descripcion span{
    color: #434A6C;
    width: 90%;
    padding: 0px;
    margin-bottom: 5px;
    font-family: 'Bluey';
    font-size: 21px;
}

/* BOTONES */
.buttons a{
    color: white;
    height: 40px;
    padding: 10px;
    border-radius: 5px;
    background-color: #434A6C;
    font-family: 'Bluey';
    gap: 5px;
}

/* lEYENDA */
.leyenda span{
    color: #434A6C;
    text-shadow: var(--shadow2);
    font-size: 20px;
    text-align: center;
    line-height: 1.2;
    font-family: 'Bluey';
}





/* REPRODUCTOR */
/* bolita */
input[type=range]::-webkit-slider-thumb {
    background-color: #e2e2e2c9;
    width: 20px;
    height: 20px;
    border: 3px solid var(--color-elements);
    border-radius: 50%;
    margin-top: -9px;
}
/* barra */
input[type=range]::-webkit-slider-runnable-track {
    background-color: var(--color-elements) !important;
    height: 4px;
}
/* boton Play Pause */
#play-pause-button{
    background-color: rgba(236, 236, 236, 0.678) !important;
}
/* svg play */
.icon-tabler-player-play-filled path:nth-child(2){
    fill: var(--color-elements); 
}
  /* svg pause */
.icon-tabler-player-pause-filled  path:nth-child(2), .icon-tabler-player-pause-filled path:nth-child(3){
    fill: var(--color-elements); 
}





/* DECORATIONS */
.img1{
    width: 130px;
    left: -20px;
    /* transform: translateY(100px) translateX(-150px) rotate(20deg); */
    animation: img1Animate 9s infinite;
}

.img2{
    width:160px;
    right: -25px;
    /* transform: translateY(100px) translateX(200px) rotate(-35deg); */
    animation: img2Animate 12s infinite;
}

.img3{
    width: 170px;
    right: -30px;
    /* transform: translateY(20px) translateX(90px) rotate(-35deg); */
    animation: img3Animate 14s infinite;
}

.img4{
    width: 170px;
    left: -20px;
    z-index: -1;
    /* transform: translateY(50px) translateX(-150px) rotate(20deg); */
    animation: img4Animate 15s infinite;
}


@keyframes img1Animate {
    0%{
        transform: translateY(190px) rotate(10deg);
    }
    50%{
        transform: translateY(-50px) rotate(-10deg);
    }
    100%{
        transform: translateY(190px) rotate(10deg);
    }
}


@keyframes img2Animate {
    0%{
        transform: translateY(170px) rotate(-5deg);
    }
    50%{
        transform: translateY(-50px) rotate(5deg);
    }
    
    100%{
        transform: translateY(170px) rotate(-5deg);
    }
}


@keyframes img3Animate {
    0%{
        transform: translateY(10px) rotate(-10deg);
    }
    50%{
        transform: translateY(-220px) rotate(10deg);
    }
    100%{
        transform: translateY(10px) rotate(-10deg);
    }
}

@keyframes img4Animate {
    0%{
        transform: translateY(-10px) rotate(10deg);
    }
    50%{
        transform: translateY(-280px) rotate(-10deg);
    }
    100%{
        transform: translateY(-10px) rotate(10deg);
    }
}


.img5{
    width: 60px;
    left: -10px;
    bottom: 100px;
    position: absolute;
    z-index: -2 ;
    filter: blur(0px);
    animation: img5Animate 24s infinite;
}

.img6{
    width: 60px;
    right: -20px;
    bottom: 200px;
    position: absolute;
    z-index: -2;
    filter: blur(0px);
    animation: img6Animate 33s infinite;
}

@keyframes img5Animate {
    0%{
        transform: translateY(200px) rotate(-15deg);
    }
    100%{
        transform: translateY(-1350px) rotate(15deg);
    }
}

@keyframes img6Animate {
    0%{
        transform: translateY(200px) rotate(10deg);
    }
    100%{
        transform: translateY(-1350px) rotate(10deg);
    }
}


.img7{
    width: 60px;
    left: -10px;
    bottom: 100px;
    position: absolute;
    z-index: -2 ;
    filter: blur(0px);
    animation: img7Animate 35s infinite;
}

.img8{
    width: 60px;
    right: -30px;
    bottom: 200px;
    position: absolute;
    z-index: -2;
    filter: blur(0px);
    animation: img8Animate 41s infinite;
}

@keyframes img7Animate {
    0%{
        transform: translateY(1000px) rotate(-15deg);
    }
    100%{
        transform: translateY(-1350px) rotate(15deg);
    }
}

@keyframes img8Animate {
    0%{
        transform: translateY(1000px) rotate(10deg);
    }
    100%{
        transform: translateY(-1350px) rotate(10deg);
    }
}

.shake{
    /* width: 200px !important; */
    animation: shake 3.5s infinite;
}

@keyframes shake {
    0%{
        transform: rotate(4deg);
    }
    50%{
        transform: rotate(-4deg);
    }
    100%{
        transform: rotate(4deg);
    }
}

.latido{
    /* width: 200px !important; */
    animation: latir 4s infinite;
}

@keyframes latir {
    0%{
        transform: scale(1.0);
    }
    50%{
        transform: scale(0.9);
    }
    100%{
        transform: scale(1.0);
    }
}

.vuelo{
    width: 90px;
    right: -10px;
    position: absolute;
    z-index: -1;
    bottom: 0;
    /* transform: translateY(100px) translateX(-150px) rotate(20deg); */
    animation: volarAnimate 20s infinite;
}

@keyframes volarAnimate {
    0%{
        transform: translate(-400px,-220px) rotate(-15deg);
    }
    50%{
        transform: translate(400px,-650px)rotate(15deg);
    }
    51%{
        transform: translate(400px,-650px) scaleX(-1) rotate(15deg);
    }
    100%{
        transform: translate(-400px,-220px) scaleX(-1) rotate(-15deg)
    }
}



